﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.UltraChart.Resources;
using System.Diagnostics;

namespace WC_CompChartDifferentDataSources
{
    class CustomTooltips : IRenderLabel
    {
        string tooltip = String.Empty;

        public string Tooltip
        {
            get { return tooltip; }
            set { tooltip = value; }
        }

        #region IRenderLabel Members

        public string ToString(System.Collections.Hashtable context)
        {
            if (!tooltip.Equals( String.Empty))
            {
                return tooltip;
            }
            else if (!context["SERIES_LABEL"].ToString().Equals(String.Empty))
            {
                return context["SERIES_LABEL"].ToString();
            }
            else
            {
                return context["ITEM_LABEL"].ToString();
            }
        }

        #endregion
    }
}
